import { useMutation } from '@tanstack/react-query';

import { chatQueryKeys } from '../chat-query-keys';
import { chatApi, type PostMessagesReceivedOrRead } from '../chat-api';

import type { BaseAxiosError } from '../../../../types';
import { ResponseType } from '@api/response-type';

export const usePostMessagesReceivedMutation = () => {
  return useMutation<ResponseType, BaseAxiosError, PostMessagesReceivedOrRead, ResponseType>({
    mutationKey: chatQueryKeys.messagesReceived(),
    mutationFn: async (data) => {
      const response = await chatApi.messagesReceived(data);
      return response.data;
    }
  });
};
